clang 8.0.0

Public Member Functions | List of all members
clang::ExternalSLocEntrySource Class Referenceabstract

External source of source location entries. More...

`#include "clang/Basic/SourceManager.h"`

Inheritance diagram for clang::ExternalSLocEntrySource:
[legend]

## Public Member Functions
virtual | ~ExternalSLocEntrySource ()
virtual bool | ReadSLocEntry (int ID)=0
| Read the source location entry with index ID, which will always be less than -1. More...
virtual std::pair< SourceLocation, StringRef > | getModuleImportLoc (int ID)=0
| Retrieve the module import location and name for the given ID, if in fact it was loaded from a module (rather than, say, a precompiled header). More...

## Detailed Description

External source of source location entries.

Definition at line 473 of file SourceManager.h.

## Constructor & Destructor Documentation

## ◆ ~ExternalSLocEntrySource()

ExternalSLocEntrySource::~ExternalSLocEntrySource | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getModuleImportLoc()

virtual std::pair<SourceLocation, StringRef> clang::ExternalSLocEntrySource::getModuleImportLoc | ( | int | ID | ) |
| pure virtual

Retrieve the module import location and name for the given ID, if in fact it was loaded from a module (rather than, say, a precompiled header).

Implemented in clang::ASTReader.

Referenced by clang::SourceManager::getModuleImportLoc().

## ◆ ReadSLocEntry()

virtual bool clang::ExternalSLocEntrySource::ReadSLocEntry | ( | int | ID | ) |
| pure virtual

Read the source location entry with index ID, which will always be less than -1.

Returns
  true if an error occurred that prevented the source-location entry from being loaded.

Implemented in clang::ASTReader.

The documentation for this class was generated from the following files:

- include/clang/Basic/SourceManager.h
- lib/Basic/SourceManager.cpp